# class SignallingDumpable | A data dumping capable component. More...
Full name | `TelEngine::SignallingDumpable`
Definition | `#include <libs/ysig/yatesig.h>`
Inherited by | ISDNQ921, ISDNQ921Management, ISDNQ921Passive, ISDNQ931, SS7MTP2, SS7MTP3
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline ~SignallingDumpable ()

#### Protected Methods

- inline SignallingDumpable (SignallingDumper::Type type, bool network = false)
- inline bool dump (void* buf, unsigned int len, bool sent = false, int link = 0)
- inline bool dump (const DataBlock& data, bool sent = false, int link = 0)
- inline void setDumpNetwork (bool network)
- void setDumper (SignallingDumper* dumper = 0)
- bool setDumper (const String& name, bool create = true, bool append = false)
- bool control (NamedList& params, SignallingComponent* owner = 0)

## Detailed Description

A generic base class for components capable of creating data dumps

inline ~SignallingDumpable () | ### ~SignallingDumpable

Destructor - destroys the data dumper

inline SignallingDumpable (SignallingDumper::Type type, bool network = false) | ### SignallingDumpable

[protected]

Constructor

Parameters:

type | Default type of the data dumper
network | True if we are the network side of the link

inline bool dump (void* buf, unsigned int len, bool sent = false, int link = 0) | ### dump

[protected]

Dump the provided data if the dumper is valid

Parameters:

buf | Pointer to buffer to dump
len | Length of the data
sent | True if data is being sent, false if is being received
link | Link number (relevant to MTP2 only)

Returns: True if the data was dumped successfully

inline bool dump (const DataBlock& data, bool sent = false, int link = 0) | ### dump

[protected]

Dump data if the dumper is valid

Parameters:

data | Buffer to dump
sent | True if data is being sent, false if is being received
link | Link number (relevant to MTP2 only)

Returns: True if the data was dumped successfully

inline void setDumpNetwork (bool network) | ### setDumpNetwork

[protected]

Set the dump network side flag

Parameters:

network | True to dump as network side, false othervise

void setDumper (SignallingDumper* dumper = 0) | ### setDumper

[protected]

Set or remove the data dumper

Parameters:

dumper | Pointer to the data dumper object, 0 to remove

bool setDumper (const String& name, bool create = true, bool append = false) | ### setDumper

[protected]

Set or remove a file data dumper

Parameters:

name | Name of the file to dump to, empty to remove dumper
create | True to create the file if doesn't exist
append | Append to an existing file. If false and the file already exists, it will be truncated

Returns: True if the file dumper was created or removed

bool control (NamedList& params, SignallingComponent* owner = 0) | ### control

[protected]

Handle dumper related control on behalf of the owning component

Parameters:

params | Control parameters to handle
owner | Optional owning component

Returns: True if control operation was applied

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.